package com.ruoyi.database.domain.dto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class VehicleRequestDto {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("申请单位")
    private Long deptId;

    @ApiModelProperty("申请单位名称")
    private Long deptName;

    @ApiModelProperty("申请人姓名")
    private String appName;

    @ApiModelProperty("申请人警号")
    private String badgeNumber;

    @ApiModelProperty("申请人联系方式")
    private String appPhone;

    @ApiModelProperty("申请日期")
    @JsonFormat(pattern = "yyyy年MM月dd日")
    private LocalDateTime appDate;

    @ApiModelProperty("用车开始时间")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("用车结束时间")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("出县开始时间")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH:mm")
    private LocalDateTime goTime;

    @ApiModelProperty("出县结束时间")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH:mm")
    private LocalDateTime backTime;

    @ApiModelProperty("车牌号")
    private String carNumber;

    @ApiModelProperty("车型")
    private String carType;

    @ApiModelProperty("驾驶员id")
    private String driverId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("驾驶证号")
    private String permitNumber;

    @ApiModelProperty("目的地")
    private String destination;

    @ApiModelProperty("是否跨省")
    private Integer crossProvinces;

    @ApiModelProperty("路线规划")
    private String routePlanning;

    @ApiModelProperty("用车事由")
    private String useCarReason;

    @ApiModelProperty("携带物品")
    private String carry;

    @ApiModelProperty("涉密文件密级")
    private String level;

    @ApiModelProperty("份数")
    private Integer number;

    @ApiModelProperty("文件编号")
    private String fileCode;

    @ApiModelProperty("随行人员姓名")
    private String entourage;

    @ApiModelProperty("随行人员警号")
    private String entourageBadgeNumber;

    @ApiModelProperty("随行人员职务")
    private String entourageDuty;

    @ApiModelProperty("审批流程 0-未审批 1-部门审批通过 2-部门审批不通过 3-警务保障部门审批通过 4-警务保障部门审批不通过 5-局领导审批通过 6-局领导审批不通过")
    private Integer state;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("修改人")
    private String updateBy;
}
